"use client";
import { useState, useEffect } from "react";
import { useGlobalContext } from "@/providers/GlobalProvider";

export default function () {
  const { changeMenuIndex } = useGlobalContext();

  useEffect(() => {
    changeMenuIndex(4);
  }, []);

  return (
    <div style={{ padding: "20px", fontFamily: "Arial, sans-serif" }}>
      <h1>网站用户使用说明</h1>

      <section style={{ marginBottom: "20px" }}>
        <h2>介绍</h2>
        <p>
          欢迎使用本网站！本平台提供智能聊天功能，帮助您解决问题并获得相关信息。
        </p>
      </section>

      <section style={{ marginBottom: "20px" }}>
        <h2>主要功能</h2>
        <ul>
          <li>智能聊天机器人，实时回答您的问题</li>
          <li>提供多种信息和知识查询</li>
          <li>简易操作界面，适合所有用户</li>
        </ul>
      </section>

      <section style={{ marginBottom: "20px" }}>
        <h2>如何使用</h2>
        <p>
          1. 打开网站首页，您会看到一个输入框。
          <br />
          2. 在输入框中输入您的问题或请求，点击发送按钮。
          <br />
          3. 等待聊天机器人回答您的问题。
          <br />
          4. 如果需要继续提问，只需再次输入问题并点击发送。
        </p>
      </section>

      <section>
        <h2>常见问题</h2>
        <p>
          <strong>Q:</strong> 如何修改我的个人设置？
        </p>
        <p>
          <strong>A:</strong> 您可以通过右上角的个人头像进行设置修改。
        </p>

        <p>
          <strong>Q:</strong> 如何联系技术支持？
        </p>
        <p>
          <strong>A:</strong> 请通过联系我们页面中的邮箱发送问题。
        </p>
      </section>
    </div>
  );
}
